package org.treblereel.server;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.inject.Inject;


@Singleton
@Startup
public class Starter {
    Logger logger  = LoggerFactory.getLogger("Starter");

    @Inject
    private AroundConstructSLSB aroundConstructSLSB;

    @PostConstruct
    private void init(){
        logger.warn("Starter");
        aroundConstructSLSB.seyHello();
    }

}
