package org.treblereel.server;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.PostConstruct;
import javax.ejb.Startup;
import javax.ejb.Stateless;
import javax.interceptor.Interceptors;


@Startup
@Stateless
@Interceptors(AroundConstructInterceptor.class)
public class AroundConstructSLSB {

    Logger logger  = LoggerFactory.getLogger("AroundConstructSLSB");

    @PostConstruct
    private void init(){
        logger.warn("PostConstruct");
    }


    public void seyHello(){
        logger.warn("hello");
    }
}
